<template>
  <cover-split-section class="bg-orange-100" :cover-image="coverImage" reversed>
    <template #heading>
      <h1>{{ heading }}</h1>
    </template>

    <template #default>
      <div class="markdown summary" v-html="content.text" />
      <!--contact-us-->
      <div class="flex justify-start items-start mt-12">
        <!--icon-->
        <div
          class="flex-shrink-0 hidden sm:flex justify-center items-center overflow-hidden mr-4 bg-orange-700 rounded-full shadow-xl md:mr-8"
          style="height: 6.5rem; width: 6.5rem"
        >
          <svg-icon
            class="h-16 w-16 text-white"
            :icon="content.contactUs.icon"
          />
        </div>
        <!--text-->
        <div>
          <h2 class="h3 font-medium tracking-wider capitalize">
            {{ content.contactUs.heading }}
          </h2>
          <p class="statement">
            {{ content.contactUs.label }}
            <hyper-link :to="`mailto:${email}`">{{ email }}</hyper-link>
          </p>
        </div>
      </div>
    </template>
  </cover-split-section>
</template>

<script>
export default {
  name: 'ServiciosCoverSection',
  inject: ['site'],
  props: {
    coverImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
    },
    heading: { type: String, default: undefined },
    content: { type: Object, default: () => ({}) },
  },
  computed: {
    email() {
      return this.site.settings.contact.email;
    },
  },
};
</script>
